<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';

if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

 /*---Для выделения меню---*/
$url_page = $_SERVER['REQUEST_URI'];
$bg = 'class="mmmenu"';
$bg1 = 'class="mmenu"';
?>
  <?
 if ( !isset( $_SESSION['id'] ) or $config_user['account'] != 5 ) {
 echo '';
 } else {
    ?>
  <div class="big_topics bor_top round3 FFF hr">
      <div class="main_top hr_menu padd5">
    <a <? if ( strpos( $url_page, 'admhome' ) ) echo $bg; else echo $bg1; ?> href="/admhome">Мод.Товаров</a>
    <a <? if ( strpos( $url_page, 'userpay' ) ) echo $bg; else echo $bg1; ?> href="/userpay">Выплаты</a>
    <a <? if ( strpos( $url_page, 'userlist' ) ) echo $bg; else echo $bg1; ?> href="/userlist">Пользователи</a>
    <a <? if ( strpos( $url_page, 'alltovar' ) ) echo $bg; else echo $bg1; ?> href="/alltovar">Все товары</a>
      <a <? if ( strpos( $url_page, 'set_con' ) ) echo $bg; else echo $bg1; ?> href="/set_con">Платежки</a>
<a <? if ( strpos( $url_page, 'all_con' ) ) echo $bg; else echo $bg1; ?> href="/all_con">Др. настройки</a>
<a <? if ( strpos( $url_page, 'coment' ) ) echo $bg; else echo $bg1; ?> href="/coment">Комментарии</a>

	  </div>
       
       <div class="wrap_user_r">
       <div class="menu_title">Товары ожидающие модерации:</div>
    <script type="text/javascript">
    function area_order(e, tid, us) {
        $.post('admin/ajax.php?func=area_order', {
            type: e,
            id: tid,
            user: us
        }, function(data) {
            setTimeout(function(){location.assign('admhome')} , 5000);
        });
        return false;
    }
    </script>
    <div class="profile_setting">
        <table style="margin: 0 auto; width: 100%;">
            <?
            $sql = $pdo->Query("SELECT id, title, user FROM php_tovar WHERE moder = 2");
           while($t_area_row = $sql->Fetch()) {

                ?>
                <tr>
                    <td style="border-bottom: 1px solid #e3e3e3;">
                        <a href="<?=ROOT?>/post<?=$t_area_row['id']?>" class="a_box" style="font-weight: bold;" target="_blank"><?=$t_area_row['title']?></a>
                    </td>
                    <td style="border-bottom: 1px solid #e3e3e3; width: 150px;">
                        <a href="#" class="a_box" onclick="area_order(1,<?=$t_area_row['id']?>,<?=$t_area_row['user']?>);return false;">Одобрить</a> | <a href="#" class="a_box" onclick="area_order(2,<?=$t_area_row['id']?>,<?=$t_area_row['user']?>);return false;">Отклонить</a>
                    </td>
                </tr>
                <?
            }
            ?>
        </table>
    </div>


       <? }?>


       </div>

 </div>

<?}?>